Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.tuple
Class ByteBinding

    java.lang.Object
      com.sleepycat.bind.tuple.TupleBase
          com.sleepycat.bind.tuple.TupleBinding
              com.sleepycat.bind.tuple.ByteBinding

All Implemented Interfaces:
  EntryBinding

public class ByteBinding
extends TupleBinding

A concrete `TupleBinding` for a `Byte` primitive wrapper or a `byte` primitive.

There are two ways to use this class:

1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection. The easiest way to obtain a binding instance is with the `TupleBinding.getPrimitiveBinding(java.lang.Class)` method.

Constructor Summary
`ByteBinding()`

Method Summary
`static void` | `byteToEntry(byte val, DatabaseEntry entry)` Converts a simple `byte` value into an entry buffer.
`static byte` | `entryToByte(DatabaseEntry entry)` Converts an entry buffer into a simple `byte` value.
`Object` | `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
`protected TupleOutput` | `getTupleOutput(Object object)` Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.
`void` | `objectToEntry(Object object, TupleOutput output)` Converts a key or data object to a tuple entry.

Methods inherited from class com.sleepycat.bind.tuple.TupleBinding
`entryToObject, getPrimitiveBinding, objectToEntry`

Methods inherited from class com.sleepycat.bind.tuple.TupleBase
`entryToInput, getTupleBufferSize, inputToEntry, newOutput, newOutput, outputToEntry, setTupleBufferSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBinding

    public ByteBinding()

Method Detail

### entryToObject

    public Object entryToObject(TupleInput input)

  Description copied from class: `TupleBinding`
  Constructs a key or data object from a `TupleInput` entry.

  Specified by:
    `entryToObject` in class `TupleBinding`
  Parameters:
    `input` - is the tuple key or data entry.
  Returns:
    the key or data object constructed from the entry.

### objectToEntry

    public void objectToEntry(Object object,
                              TupleOutput output)

  Description copied from class: `TupleBinding`
  Converts a key or data object to a tuple entry.

  Specified by:
    `objectToEntry` in class `TupleBinding`
  Parameters:
    `object` - is the key or data object.
    `output` - is the tuple entry to which the key or data should be written.

### getTupleOutput

    protected TupleOutput getTupleOutput(Object object)

  Description copied from class: `TupleBase`
  Returns an empty TupleOutput instance that will be used by the tuple binding or key creator.

  The default implementation of this method creates a new TupleOutput with an initial buffer size that can be changed using the `TupleBase.setTupleBufferSize(int)` method.

  This method may be overridden to return a TupleOutput instance. For example, an instance per thread could be created and returned by this method. If a TupleOutput instance is reused, be sure to call its `FastOutputStream.reset()` method before each use.

  Overrides:
    `getTupleOutput` in class `TupleBase`
  Parameters:
    `object` - is the object to be written to the tuple output, and may be used by subclasses to determine the size of the output buffer.
  Returns:
    an empty TupleOutput instance.
  See Also:
    `TupleBase.setTupleBufferSize(int)`

### entryToByte

    public static byte entryToByte(DatabaseEntry entry)

  Converts an entry buffer into a simple `byte` value.

  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting value.

### byteToEntry

    public static void byteToEntry(byte val,
                                   DatabaseEntry entry)

  Converts a simple `byte` value into an entry buffer.

  Parameters:
    `val` - is the source value.
    `entry` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.